| Home | Libraries | People | FAQ | More

###### basic_stream::basic_stream (1 of 3 overloads)

Constructor.

###### Synopsis

    template<
        class... Args>
    basic_stream(
        Args&&... args);

###### Description

This constructor creates the stream by forwarding all arguments to the underlying socket. The socket then needs to be open and connected or accepted before data can be sent or received on it.

###### Parameters

Name | Description
--- | ---
`args` | A list of parameters forwarded to the constructor of the underlying socket.